Last Comment Bug 713622 - Enable elfhack
: Enable elfhack
Status: RESOLVED FIXED
:
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Trunk
: ARM Android
: -- normal (vote)
: Firefox 13
Assigned To: Mike Hommey [:glandium]
:
Mentors:
Depends on: 703305 704898
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-27 01:52 PST by Mike Hommey [:glandium]
Modified: 2012-02-23 23:55 PST (History)
6 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Re-enable elfhack on Fennec XUL (1.92 KB, patch)
2012-02-16 03:36 PST, Mike Hommey [:glandium]
mbrubeck: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Mike Hommey [:glandium] 2011-12-27 01:52:09 PST
+++ This bug was initially created as a clone of Bug #704898 +++

Following is the original text of bug 704898, it still applies to XUL UI (not Native) because of bug 701833.

Bug 701996 broke elfhack, and elfhack was disabled as a result. Bug 703305 fixed elfhack, so we should re-enable it. Especially considering this:

11-23 19:57:42.208 E/GeckoLibLoad( 9085): Loaded libs in 1268ms total, 742ms user, 183ms system, 13 faults
11-23 19:57:42.208 E/GeckoLibLoad( 9085): Spent 273ms on relocations, 3ms on constructors

With elfhack, relocations time goes near 0, and constructors time stays under 30ms (iirc). It also makes the mount of data to uncompress smaller, which means faster decompression.

A nightly with elfhack enabled, on the same device, loads libraries under 900ms.
Comment 1 Mike Hommey [:glandium] 2012-02-16 03:36:11 PST
Created attachment 597753 [details] [diff] [review]
Re-enable elfhack on Fennec XUL
Comment 3 Ed Morley [:emorley] 2012-02-17 18:03:17 PST
https://hg.mozilla.org/mozilla-central/rev/10d5d176d753
Comment 4 Mike Hommey [:glandium] 2012-02-19 22:59:22 PST
Comment on attachment 597753 [details] [diff] [review]
Re-enable elfhack on Fennec XUL

[Approval Request Comment]
Elfhack was disabled because bug 701996 broke it, but elfhack was fixed in bug 703305, so it was re-enabled on native UI shortly after. However, it was left out on XUL UI.
User impact if declined: Slower startup.
Testing completed (on m-c, etc.): elfhack is in use on these branches on Native UI.
Risk to taking this patch (and alternatives if risky): none.
Comment 5 Alex Keybl [:akeybl] 2012-02-21 11:38:27 PST
Comment on attachment 597753 [details] [diff] [review]
Re-enable elfhack on Fennec XUL

[Triage Comment]
Approved for mozilla-beta. Is this nominated for m-r approval because this build config won't be uplifted on the next merge day?
Comment 6 Mike Hommey [:glandium] 2012-02-21 13:49:13 PST
Comment on attachment 597753 [details] [diff] [review]
Re-enable elfhack on Fennec XUL

Erf, that was meant to be a nomination for aurora, not m-r.

Note You need to log in before you can comment on or make changes to this bug.